Skip to main content
GET
/
tiktok
/
contact
cURL
curl -X GET "https://apiv3.creatordb.app/tiktok/contact?uniqueId=kallmekris" \
  -H "Content-Type: application/json" \
  -H "api-key: <YOUR_API-KEY_HERE>"
{
  "data": {
    "emails": [
      "teamkriscollins@gersh.com"
    ]
  },
  "quotaUsed": 1,
  "quotaUsedTotal": 1,
  "remainingQuota": -1,
  "traceId": "626ec5ec515aa1037668e84a959eeaaf",
  "timestamp": 1767939397696,
  "errorCode": "",
  "errorDescription": "",
  "success": true
}

Authorizations

api-key
string
header
required

The valid CreatorDB API key for authentication.

Query Parameters

uniqueId
string
required

TikTok account ID. Accepts tiktok or @tiktok (@ is automatically stripped).

Required string length: 1 - 101
Pattern: ^@?[a-zA-Z0-9._-]+$
Example:

"tiktok"

Response

TikTok creator contact data returned successfully.

data
object
required

Contact information of the specified TikTok creator.

Example:
{ "emails": ["example@email.com"] }
traceId
string
required

Unique trace ID for each request.

Example:

"f8e4a3b2c1d0e9f8a7b6c5d4e3f2a1b0"

timestamp
integer
required

Time the response was generated, represented as a Unix timestamp in milliseconds.

Example:

1750732453635

errorCode
string
required

Error code returned if the request fails. Empty if the request is successful.

Example:

""

errorDescription
string
required

Description of the error. Empty if the request is successful.

Example:

""

success
boolean
required

true if the request is successful.

Example:

true

Last modified on March 20, 2026